## cinnamon-screensaver 4.2.0%2Bcindy

=== debian/changelog ===
cinnamon-screensaver (4.2.0+cindy) tina; urgency=medium

  [ Michael Webster ]
  * monitorView.py: refactor wallpaper transitioning to improve garbage collection.
  * Add on-screen keyboard.
  * stage.py: Only involve the stage fader if the transition time is not zero.
  * stage: re-realize when/if the GdkScreen's composited state changes.
  * Remove use of a fader on the stage window, eliminate off-screen mapping. (#309)

  [ Clement Lefebvre ]
  * OSK: Respect the cinnamon OSK activation mode

  [ Eli Schwartz ]
  * A couple small install fixups. (#302)

  [ Clement Lefebvre ]
  * Packaging: Remove obsolete build flag

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Jun 2019 15:42:14 +0200

cinnamon-screensaver (4.0.3) tessa; urgency=medium

  [ Michael Webster ]
  * all: Add low-resolution detection, adjust the clock and albumart widgets to be smaller in these cases.
  * audio panel: Don't show initially.
  * framedImage.py: Use surfaces for better hidpi display of album art.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 11:24:36 +0000

=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 autoconf-archive,
 automake,
 debhelper (>= 10),
 dh-python,
 gnome-pkg-tools (>= 0.10),
 gobject-introspection,
 intltool (>= 0.40.0),
 libdbus-1-dev,
 libgirepository1.0-dev,
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.1.4),
 libpam0g-dev,
 librsvg2-bin,
 libxext-dev,
 python3,
Standards-Version: 3.9.6

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 3.5),
 gir1.2-accountsservice-1.0,
 gir1.2-cinnamondesktop-3.0 (>= 3.5),
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-xapp-1.0,
 iso-flag-png,
 libcscreensaver0 (= ${binary:Version}),
 python3,
 python3-gi,
 python3-gi-cairo,
 python3-setproctitle,
 python3-xapp (>= 1.0.1),
 python3-xlib,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: libpam-gnome-keyring
Breaks: 
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Replaces:
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.

Package: libcscreensaver-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcscreensaver0 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon Screensaver library - debug symbols
 This package contains the symbols files needed to debug the Cinnamon Screensaver library.

Package: libcscreensaver0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: library and introspection data used by cinnamon-screensaver
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 This package contains the library used by the screensaver.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with=python3,gir

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh

override_dh_strip:
	dh_strip --dbg-package=libcscreensaver-dbg

override_dh_auto_configure:
	dh_auto_configure -- \
	    --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/cinnamon-screensaver

override_dh_install:
	dh_install --list-missing

override_dh_python3:
	dh_python3 usr/share/cinnamon-screensaver

## cinnamon-screensaver 4.2.0%2Btina

=== debian/changelog ===
cinnamon-screensaver (4.2.0+tina) tina; urgency=medium

  [ Michael Webster ]
  * monitorView.py: refactor wallpaper transitioning to improve garbage collection.
  * Add on-screen keyboard.
  * stage.py: Only involve the stage fader if the transition time is not zero.
  * stage: re-realize when/if the GdkScreen's composited state changes.
  * Remove use of a fader on the stage window, eliminate off-screen mapping. (#309)

  [ Clement Lefebvre ]
  * OSK: Respect the cinnamon OSK activation mode

  [ Eli Schwartz ]
  * A couple small install fixups. (#302)

  [ Clement Lefebvre ]
  * Packaging: Remove obsolete build flag

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Jun 2019 15:42:14 +0200

## cinnamon-screensaver 4.4.1

=== debian/changelog ===
cinnamon-screensaver (4.4.1-3) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Bump deps and reverse-deps to avoid partial upgrade on testing migration

 -- Norbert Preining <norbert@preining.info>  Mon, 10 Feb 2020 22:45:42 +0900

cinnamon-screensaver (4.4.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Tue, 04 Feb 2020 08:39:30 +0900

cinnamon-screensaver (4.4.1-1) experimental; urgency=medium

  * New upstream version 4.4.1
  * update patch

 -- Norbert Preining <norbert@preining.info>  Sun, 19 Jan 2020 09:48:13 +0900

=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>
Build-Depends:
 autoconf-archive,
 automake,
 debhelper (>= 11.1~),
 dh-python,
 gnome-pkg-tools (>= 0.10),
 gobject-introspection,
 intltool (>= 0.40.0),
 libdbus-1-dev,
 libgirepository1.0-dev,
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.1.4),
 libpam0g-dev,
 librsvg2-bin,
 libxext-dev,
 python3,
Standards-Version: 4.1.4
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver.git

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 4.4),
 gir1.2-accountsservice-1.0,
 gir1.2-cinnamondesktop-3.0 (>= 4.4),
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-xapp-1.0 (>= 1.2),
 iso-flags-png-320x240,
 libcscreensaver0 (= ${binary:Version}),
 python3-gi,
 python3-gi-cairo,
 python3-setproctitle,
 python3-xapp (>= 1.2),
 python3-xlib,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: libpam-gnome-keyring
Breaks:
 cinnamon (<< 4.4),
 cinnamon-core (<< 4.4~),
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Replaces:
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.

Package: libcscreensaver0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: library and introspection data used by cinnamon-screensaver
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 This package contains the library used by the screensaver.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with=python3,gir

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
	    --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/cinnamon-screensaver

# --list-missing will be default in compat 12
override_dh_missing:
	dh_missing --list-missing

override_dh_python3:
	dh_python3 usr/share/cinnamon-screensaver

## cinnamon-screensaver 4.4.1%2Btricia

=== debian/changelog ===
cinnamon-screensaver (4.4.1+tricia) tricia; urgency=medium

  [ GeorchW ]
  * Fixed wrong font being applied in custom text (#328)

  [ claudiux ]
  * Update cinnamon-screensaver to fix #326 (#327)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 Dec 2019 09:58:06 +0000

cinnamon-screensaver (4.4.0) tricia; urgency=medium

  [ Michael Webster ]
  * passwordEntry.py: Render keyboard layout flags properly in hidpi.
  * cs-screen, stage.py: Move the pointer to the primary monitor (and, as a result, the unlock dialog as well) when initially waking.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Nov 2019 12:24:53 +0100

cinnamon-screensaver (4.2.0) tina; urgency=medium

  [ Michael Webster ]
  * monitorView.py: refactor wallpaper transitioning to improve garbage collection.
  * Add on-screen keyboard.
  * stage.py: Only involve the stage fader if the transition time is not zero.
  * stage: re-realize when/if the GdkScreen's composited state changes.
  * Remove use of a fader on the stage window, eliminate off-screen mapping. (#309)

  [ Clement Lefebvre ]
  * OSK: Respect the cinnamon OSK activation mode

  [ Eli Schwartz ]
  * A couple small install fixups. (#302)

  [ Clement Lefebvre ]
  * Packaging: Remove obsolete build flag

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Jun 2019 15:42:14 +0200

## cinnamon-screensaver 4.6.0

=== debian/changelog ===
cinnamon-screensaver (4.6.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Thu, 25 Jun 2020 10:55:16 +0900

cinnamon-screensaver (4.6.0-1) experimental; urgency=medium

  * New upstream version 4.6.0
  * Update patches

 -- Norbert Preining <norbert@preining.info>  Sat, 30 May 2020 23:07:23 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends:
  autoconf-archive,
  automake,
- debhelper (>= 11.1~),
+ debhelper-compat (= 13),
  dh-python,
  gnome-pkg-tools (>= 0.10),
  gobject-introspection,
@@ -18,10 +18,11 @@
  libdbus-1-dev,
  libgirepository1.0-dev,
  libglib2.0-dev (>= 2.37.3),
- libgtk-3-dev (>= 3.1.4),
+ libgtk-3-dev (>= 3.22),
  libpam0g-dev,
  librsvg2-bin,
  libxext-dev,
+ meson,
  python3,
 Standards-Version: 4.1.4
 Homepage: http://cinnamon.linuxmint.com/
@@ -32,9 +33,9 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- cinnamon-desktop-data (>= 4.4),
+ cinnamon-desktop-data (>= 4.6),
  gir1.2-accountsservice-1.0,
- gir1.2-cinnamondesktop-3.0 (>= 4.4),
+ gir1.2-cinnamondesktop-3.0 (>= 4.6),
  gir1.2-gkbd-3.0,
  gir1.2-glib-2.0,
  gir1.2-gtk-3.0,
@@ -51,8 +52,8 @@
  ${shlibs:Depends},
 Recommends: libpam-gnome-keyring
 Breaks:
- cinnamon (<< 4.4),
- cinnamon-core (<< 4.4~),
+ cinnamon (<< 4.6),
+ cinnamon-core (<< 4.6~),
  cinnamon-screensaver-pam-helper (<< 3.8),
  cinnamon-screensaver-webkit-plugin (<< 3.9),
  cinnamon-screensaver-x-plugin (<< 3.9)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with=python3,gir

override_dh_auto_configure:
	dh_auto_configure -- \
	    --libexecdir=lib/$(DEB_HOST_MULTIARCH)/cinnamon-screensaver

override_dh_python3:
	dh_python3 usr/share/cinnamon-screensaver

## cinnamon-screensaver 4.6.0%2Bulyana

=== meson_options.txt ===
option('setres', type : 'boolean', value : false, description: 'Use setresuid/setresgid in the setuid.c helper')
option('locking', type : 'boolean', value : true, description: 'Compile in support for locking the display')
option('xinerama', type : 'boolean', value : true, description: 'Use of the Xinerama extension')
option('pam-prefix', type : 'string', value : '', description: 'specify where pam files go')

=== debian/changelog ===
cinnamon-screensaver (4.6.0+ulyana) ulyana; urgency=medium

  [ Eli Schwartz ]
  * debian: don't try to run a testsuite that does not exist
  * autotools: make the icons directory less terrible to install

  [ Markus Teich ]
  * Handle custom-screensaver-command gsettings config

  [ JosephMcc ]
  * Stop supporting older gtk versions

  [ Eli Schwartz ]
  * build: port to meson

  [ Fabio Fantoni ]
  * debian: build with meson and dh10

  [ Eli Schwartz ]
  * remove autotools build system
  * src/binfiles: delete this as it is no longer used

  [ Michael Webster ]
  * build: Use a custom command to run gdbus-codegen.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 14:05:43 +0100

cinnamon-screensaver (4.4.1) tricia; urgency=medium

  [ GeorchW ]
  * Fixed wrong font being applied in custom text (#328)

  [ claudiux ]
  * Update cinnamon-screensaver to fix #326 (#327)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 Dec 2019 09:58:06 +0000

=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 gnome-pkg-tools (>= 0.10),
 gobject-introspection,
 intltool (>= 0.40.0),
 libdbus-1-dev,
 libgirepository1.0-dev,
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.22),
 libpam0g-dev,
 librsvg2-bin,
 libxext-dev,
 meson (>= 0.40.0),
 python3,
Standards-Version: 3.9.6

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 3.5),
 gir1.2-accountsservice-1.0,
 gir1.2-cinnamondesktop-3.0 (>= 3.5),
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-xapp-1.0,
 iso-flag-png,
 libcscreensaver0 (= ${binary:Version}),
 python3,
 python3-gi,
 python3-gi-cairo,
 python3-setproctitle,
 python3-xapp (>= 1.0.1),
 python3-xlib,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: libpam-gnome-keyring
Breaks: 
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Replaces:
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.

Package: libcscreensaver-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcscreensaver0 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon Screensaver library - debug symbols
 This package contains the symbols files needed to debug the Cinnamon Screensaver library.

Package: libcscreensaver0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: library and introspection data used by cinnamon-screensaver
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 This package contains the library used by the screensaver.

## cinnamon-screensaver 4.8.1

=== meson_options.txt ===
--- 
+++ 
@@ -2,3 +2,4 @@
 option('locking', type : 'boolean', value : true, description: 'Compile in support for locking the display')
 option('xinerama', type : 'boolean', value : true, description: 'Use of the Xinerama extension')
 option('pam-prefix', type : 'string', value : '', description: 'specify where pam files go')
+option('use-debian-pam', type : 'boolean', value : false, description: 'use the debian pam file')

=== debian/changelog ===
cinnamon-screensaver (4.8.1-3) unstable; urgency=medium

  * readded /etc/pam.d/cinnamon-screensaver
    Thanks to Christoph Anton Mitterer. (Closes: #990133)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 21 Jun 2021 18:06:36 +0200

cinnamon-screensaver (4.8.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 16 Dec 2020 12:37:58 +0900

cinnamon-screensaver (4.8.1-1) experimental; urgency=medium

  * Use upstream's Debian-version pam file.
  * New upstream version 4.8.1 (no changes it seems)

 -- Norbert Preining <norbert@preining.info>  Tue, 08 Dec 2020 19:43:45 +0900

cinnamon-screensaver (4.8.0-1) experimental; urgency=medium

  * New upstream version 4.8.0
  * remove autoconf related build-deps
  * Bump inter-cinnamon deps to 4.8

 -- Norbert Preining <norbert@preining.info>  Tue, 01 Dec 2020 08:36:02 +0900

=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 gnome-pkg-tools (>= 0.10),
 gobject-introspection,
 intltool (>= 0.40.0),
 libdbus-1-dev,
 libgirepository1.0-dev,
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.22),
 libpam0g-dev,
 librsvg2-bin,
 libxext-dev,
 meson,
 python3,
Standards-Version: 4.1.4
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver.git

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 4.8),
 gir1.2-accountsservice-1.0,
 gir1.2-cinnamondesktop-3.0 (>= 4.8),
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-xapp-1.0 (>= 1.2),
 iso-flags-png-320x240,
 libcscreensaver0 (= ${binary:Version}),
 python3-gi,
 python3-gi-cairo,
 python3-setproctitle,
 python3-xapp (>= 1.2),
 python3-xlib,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: libpam-gnome-keyring
Breaks:
 cinnamon (<< 4.8~),
 cinnamon-core (<< 4.8~),
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Replaces:
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.

Package: libcscreensaver0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: library and introspection data used by cinnamon-screensaver
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 This package contains the library used by the screensaver.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+	    -D use-debian-pam=true \
 	    --libexecdir=lib/$(DEB_HOST_MULTIARCH)/cinnamon-screensaver
 
 override_dh_python3:

## cinnamon-screensaver 4.8.1%2Bulyssa

=== debian/changelog ===
cinnamon-screensaver (4.8.1+ulyssa) ulyssa; urgency=medium

  [ Michael Webster ]
  * build: Bump runtime version of cinnamon-desktop

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Dec 2020 10:24:14 +0000

cinnamon-screensaver (4.8.0) ulyssa; urgency=medium

  [ Michael Webster ]
  * Build: Only generate python bytecode during builds with no temporary install folder.  Package managers should handle this otherwise.

  [ Fabio Fantoni ]
  * CI: Update targets
  * use debhelper 11 for integrated meson support
  * CI: Update targets (#339)

  [ Michael Webster ]
  * build: Don't rely on debian magic to install the correct pam file.

  [ Sparky Bluefang ]
  * Fix meson syntax error when xinerama support is disabled.

  [ WORLDofPEACE ]
  * build: use datadir in define_variable for dbus_services_dir

  [ Michael Webster ]
  * album art: Adjust the album art url for spotify.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Nov 2020 13:49:22 +0000

cinnamon-screensaver (4.6.0) ulyana; urgency=medium

  [ Eli Schwartz ]
  * debian: don't try to run a testsuite that does not exist
  * autotools: make the icons directory less terrible to install

  [ Markus Teich ]
  * Handle custom-screensaver-command gsettings config

  [ JosephMcc ]
  * Stop supporting older gtk versions

  [ Eli Schwartz ]
  * build: port to meson

  [ Fabio Fantoni ]
  * debian: build with meson and dh10

  [ Eli Schwartz ]
  * remove autotools build system
  * src/binfiles: delete this as it is no longer used

  [ Michael Webster ]
  * build: Use a custom command to run gdbus-codegen.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 14:05:43 +0100

## cinnamon-screensaver 5.0.6

=== debian/changelog ===
cinnamon-screensaver (5.0.6-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 29 Sep 2021 20:20:03 +0900

cinnamon-screensaver (5.0.6-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 5.0.6

 -- Norbert Preining <norbert@preining.info>  Mon, 23 Aug 2021 13:18:44 +0900

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  libxext-dev,
  meson,
  python3,
+Rules-Requires-Root: no
 Standards-Version: 4.1.4
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver
@@ -31,9 +32,9 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- cinnamon-desktop-data (>= 4.8),
+ cinnamon-desktop-data (>= 5.0),
  gir1.2-accountsservice-1.0,
- gir1.2-cinnamondesktop-3.0 (>= 4.8),
+ gir1.2-cinnamondesktop-3.0 (>= 5.0),
  gir1.2-gkbd-3.0,
  gir1.2-glib-2.0,
  gir1.2-gtk-3.0,
@@ -50,8 +51,8 @@
  ${shlibs:Depends},
 Recommends: libpam-gnome-keyring
 Breaks:
- cinnamon (<< 4.8~),
- cinnamon-core (<< 4.8~),
+ cinnamon (<< 5.0~),
+ cinnamon-core (<< 5.0~),
  cinnamon-screensaver-pam-helper (<< 3.8),
  cinnamon-screensaver-webkit-plugin (<< 3.9),
  cinnamon-screensaver-x-plugin (<< 3.9)

## cinnamon-screensaver 5.0.7

=== debian/changelog ===
cinnamon-screensaver (5.0.7-1) unstable; urgency=medium

  * New upstream version 5.0.7 (Closes: #998410)
  * Copyright: don't specially admire COPYING.LIB
  * Bump Standards-Version to 4.6.0.1, no changes required
  * Bump watch version to 4
  * Drop --as-needed linker flag

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Sat, 16 Oct 2021 10:26:19 -0400

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
+ Joshua Peisach <itzswirlz2020@outlook.com>,
  Norbert Preining <norbert@preining.info>
 Build-Depends:
  debhelper-compat (= 13),
@@ -23,7 +24,7 @@
  meson,
  python3,
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0.1
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver
 Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver.git

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/(.*)/cinnamon-screensaver-$1/" \
    https://github.com/linuxmint/cinnamon-screensaver/tags .*/(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## cinnamon-screensaver 5.0.7%2Bdebbie

=== debian/changelog ===
cinnamon-screensaver (5.0.7+debbie) uma; urgency=medium

  [ Michael Webster ]
  * stage.py: Delay initialization of certain components during startup.
  * cinnamon-screensaver-main.py: Add a 'hold' flag for debugging.
  * stage.py: Reset the fallback window when a compositor change is detected.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Oct 2021 15:41:28 +0100

cinnamon-screensaver (5.0.6) uma; urgency=medium

  [ Michael Webster ]
  * cinnamon-screensaver-pam-helper.c: Check for a null pointer returned from fgets.

  [ Kevin Tee ]
  * Fix error: no return statement in function (#375)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 16:58:03 +0100

cinnamon-screensaver (5.0.5) uma; urgency=medium

  [ Michael Webster ]
  * powerWidget.py: Don't update the power state before the UPower client has been constructed.
  * uPowerClient.py: Don't rely on the OnBattery property of the upower client, it's unreliable.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 14 Jun 2021 16:29:15 +0100

cinnamon-screensaver (5.0.4) uma; urgency=medium

  [ Michael Webster ]
  * passwordEntry.py: Limit the entry's maximum length.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 11 Jun 2021 10:28:37 +0100

cinnamon-screensaver (5.0.3) uma; urgency=medium

  [ Michael Webster ]
  * service.py: Always unlock when deactivating.
  * manager.py: Improve backup locker startup and shutdown.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 14:06:39 +0100

cinnamon-screensaver (5.0.2) uma; urgency=medium

  [ Michael Webster ]
  * cinnamon-screensaver-main.py: Don't register with the session manager.
  * logindClient.py: Change how we get the session id to work with dbus activation.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Jun 2021 12:18:04 +0100

cinnamon-screensaver (5.0.1) uma; urgency=medium

  [ Michael Webster ]
  * cs-gdk-event-filter-xll.c: Ignore fcitx ConfigureNotify events in the backup locker process.
  * Clean up the desktop file and rename it so that it passes desktop-file- validate.
  * cs-backup-locker: Use a white cinnamon icon (symbolic doesn't work here, and the normal orangey-brown doesn't look very nice.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 Jun 2021 09:35:32 +0100

cinnamon-screensaver (5.0.0) uma; urgency=medium

  [ Michael Webster ]
  * powerWidget.py: Use new battery icons when available.
  * powerWidget.py: Add some more battery icon names, fix the default to return a GIcon, not a string.
  * Make cinnamon-screensaver a dbus-activated service.
  * Clean up .gitignore.
  * Add option to silence deprecation warnings during the build.
  * Implement a fallback window in the event of the 'pretty' ui crashing for some reason.
  * backup window: Don't assume which tty's to use in instructions, send a notification if the backup locked crashes.
  * manager.py: Use GLib to get the user name, and trim the string to 8 chars to match 'w -h' output.
  * cs-screen-x11.c: Fix annotation.

  [ Natsu Kagami ]
  * Show PAM info

  [ Michael Webster ]
  * unlock.py: Move info label underneath the entry and other labels.
  * unlock.py: Don't allow pw entry row to expand if a longer info message is shown.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 31 May 2021 15:45:29 +0100

cinnamon-screensaver (4.8.1) ulyssa; urgency=medium

  [ Michael Webster ]
  * build: Bump runtime version of cinnamon-desktop

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Dec 2020 10:24:14 +0000

## cinnamon-screensaver 5.0.7+debbie

=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 debhelper (>= 11.1~),
 dh-python,
 gnome-pkg-tools (>= 0.10),
 gobject-introspection,
 intltool (>= 0.40.0),
 libdbus-1-dev,
 libgirepository1.0-dev,
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.22),
 libpam0g-dev,
 librsvg2-bin,
 libxext-dev,
 meson (>= 0.40.0),
 python3,
Standards-Version: 3.9.6

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 3.5),
 gir1.2-accountsservice-1.0,
 gir1.2-cinnamondesktop-3.0 (>= 4.8),
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-xapp-1.0,
 iso-flag-png,
 libcscreensaver0 (= ${binary:Version}),
 python3,
 python3-gi,
 python3-gi-cairo,
 python3-setproctitle,
 python3-xapp (>= 1.0.1),
 python3-xlib,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: libpam-gnome-keyring
Breaks: 
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Replaces:
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.

Package: libcscreensaver-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcscreensaver0 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon Screensaver library - debug symbols
 This package contains the symbols files needed to debug the Cinnamon Screensaver library.

Package: libcscreensaver0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: library and introspection data used by cinnamon-screensaver
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 This package contains the library used by the screensaver.

## cinnamon-screensaver 5.0.7+uma

=== debian/changelog ===
cinnamon-screensaver (5.0.7+uma) uma; urgency=medium

  [ Michael Webster ]
  * stage.py: Delay initialization of certain components during startup.
  * cinnamon-screensaver-main.py: Add a 'hold' flag for debugging.
  * stage.py: Reset the fallback window when a compositor change is detected.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Oct 2021 15:41:28 +0100

## cinnamon-screensaver 5.2.0

=== debian/changelog ===
cinnamon-screensaver (5.2.0-1) experimental; urgency=medium

  [ Joshua Peisach ]
  * New upstream version 5.2.0
  * Add missing libcscreensaver0 symbols file
  * Add dh-sequence-gir to build deps
  * Bump cinnamon deps and breaks to 5.2x

  [ Fabio Fantoni ]
  * use dh-sequence-python3

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Fri, 26 Nov 2021 11:46:55 -0500

=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Norbert Preining <norbert@preining.info>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-python3,
 gnome-pkg-tools (>= 0.10),
 gobject-introspection,
 intltool (>= 0.40.0),
 libdbus-1-dev,
 libgirepository1.0-dev,
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.22),
 libpam0g-dev,
 librsvg2-bin,
 libxext-dev,
 meson,
 python3,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver.git

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 5.2),
 gir1.2-accountsservice-1.0,
 gir1.2-cinnamondesktop-3.0 (>= 5.2),
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-xapp-1.0 (>= 1.2),
 iso-flags-png-320x240,
 libcscreensaver0 (= ${binary:Version}),
 python3-gi,
 python3-gi-cairo,
 python3-setproctitle,
 python3-xapp (>= 1.2),
 python3-xlib,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: libpam-gnome-keyring
Breaks:
 cinnamon (<< 5.2~),
 cinnamon-core (<< 5.2~),
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Replaces:
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.

Package: libcscreensaver0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: library and introspection data used by cinnamon-screensaver
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 This package contains the library used by the screensaver.

## cinnamon-screensaver 5.2.1

=== debian/changelog ===
cinnamon-screensaver (5.2.1-1) unstable; urgency=medium

  * New upstream version 5.2.1
  * Update d/copyright

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 13 Feb 2022 13:11:41 +0100

cinnamon-screensaver (5.2.0-2) unstable; urgency=medium

  * add myself to uploaders
  * prepare upload to unstable

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 26 Jan 2022 09:02:03 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
  Joshua Peisach <itzswirlz2020@outlook.com>,
- Norbert Preining <norbert@preining.info>
+ Norbert Preining <norbert@preining.info>,
+ Christoph Martin <martin@uni-mainz.de>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gir,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cinnamon-screensaver-$1.tar.gz%" \
   https://github.com/linuxmint/cinnamon-screensaver/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## cinnamon-screensaver 5.2.1+una

=== debian/changelog ===
cinnamon-screensaver (5.2.1+una) una; urgency=medium

  [ Michael Webster ]
  * Increase the inactivity-timeout from 10s to 30s and get the screensaver to respect it.
  * logind: Request the session object path instead of guessing it.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Feb 2022 18:34:32 +0000

cinnamon-screensaver (5.2.0) una; urgency=medium

  [ Michael Webster ]
  * stage.py: Delay initialization of certain components during startup.
  * cinnamon-screensaver-main.py: Add a 'hold' flag for debugging.
  * stage.py: Reset the fallback window when a compositor change is detected.
  * keybindings: Allow enter/return to activate the unlock and switch- user buttons.

  [ forever-and-a-day ]
  * updated trackname and albumartist to use more suitable fonts (ubuntu font family). Changed to integrate better with a stock cinnamon install, should be updated to follow system font prefs in the future. (#381)

  [ Clement Lefebvre ]
  * css: Make album info label larger

  [ bidlocode ]
  * journal fix (#398)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 12:50:02 +0000

## cinnamon-screensaver 5.4.0

=== debian/changelog ===
cinnamon-screensaver (5.4.0-1) unstable; urgency=medium

  * New upstream version 5.4.0
  * Simplify d/watch

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 01 Jul 2022 14:15:55 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  meson,
  python3,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver
 Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver.git

## cinnamon-screensaver 5.4.1

=== debian/changelog ===
cinnamon-screensaver (5.4.1-3) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 29 Jul 2022 11:43:24 +0200

cinnamon-screensaver (5.4.1-2) experimental; urgency=medium

  * To solve policy issue with libcscreensaver0 package add
    gir1.2-cscreensaver-1.0 package for move gir files out

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Wed, 27 Jul 2022 13:29:51 +0200

cinnamon-screensaver (5.4.1-1) experimental; urgency=medium

  * New upstream version 5.4.1
  * d/control: add libxdo-dev to build-deps
  * Update d/copyright
  * Update symbols
  * Add lintian override about doc/dbus-interface.html

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 22 Jul 2022 21:46:19 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  libgtk-3-dev (>= 3.22),
  libpam0g-dev,
  librsvg2-bin,
+ libxdo-dev,
  libxext-dev,
  meson,
  python3,
@@ -38,6 +39,7 @@
  cinnamon-desktop-data (>= 5.2),
  gir1.2-accountsservice-1.0,
  gir1.2-cinnamondesktop-3.0 (>= 5.2),
+ gir1.2-cscreensaver-1.0 (= ${binary:Version}),
  gir1.2-gkbd-3.0,
  gir1.2-glib-2.0,
  gir1.2-gtk-3.0,
@@ -67,6 +69,22 @@
  cinnamon-screensaver is a screen saver and locker that aims to have simple,
  sane and secure defaults, and be well integrated with the Cinnamon desktop.
 
+Package: gir1.2-cscreensaver-1.0
+Section: introspection
+Architecture: any
+Multi-Arch: same
+Depends: libcscreensaver0 (= ${binary:Version}),
+         ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: libcscreensaver0 (<< 5.4.1-2~)
+Replaces: libcscreensaver0 (<< 5.4.1-2~)
+Description: GObject introspection data for cinnamon screensaver
+ cinnamon-screensaver is a screen saver and locker that aims to have simple,
+ sane and secure defaults, and be well integrated with the Cinnamon desktop.
+ .
+ This package contains the introspection data.
+
 Package: libcscreensaver0
 Section: libs
 Architecture: any

## cinnamon-screensaver 5.4.4

=== debian/changelog ===
cinnamon-screensaver (5.4.4-1) unstable; urgency=medium

  * New upstream version 5.4.4

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 21 Aug 2022 21:17:09 +0200

cinnamon-screensaver (5.4.2-1) unstable; urgency=medium

  * New upstream version 5.4.2

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 07 Aug 2022 20:47:27 +0200

## cinnamon-screensaver 5.4.5%2Bvanessa

=== debian/changelog ===
cinnamon-screensaver (5.4.5+vanessa) vera; urgency=medium

  [ Michael Webster ]
  * Use github instead of circleci.
  * Clean up readme.
  * Improve event grabber debugging info.
  * Rework behavior surrounding sleep, display changes, fractional scaling.
  * Rework stack management, separate backup locker lifecycle from main screensaver's.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Nov 2022 13:47:47 +0000

cinnamon-screensaver (5.4.4) vanessa; urgency=medium

  [ Michael Webster ]
  * Revert "stage: Use rgba visual."

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Aug 2022 20:58:09 +0200

cinnamon-screensaver (5.4.3) vanessa; urgency=medium

  [ Michael Webster ]
  * stage: Use rgba visual.
  * Add option to disable the backup locker.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Aug 2022 12:13:57 +0200

cinnamon-screensaver (5.4.2) vanessa; urgency=medium

  [ Michael Webster ]
  * build: Try to find libxdo with pkgconfig, and use find_library() only if that fails.
  * Don't try to throw an error if libxdo can't be found - meson will already do this if required == true.

  [ Bobby Rong ]
  * libcscreensaver: add missing gio-unix-2.0 dependency (#411)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 01 Aug 2022 16:07:03 +0200

cinnamon-screensaver (5.4.1) vanessa; urgency=medium

  [ Michael Webster ]
  * Improve signal handler tracking.
  * grabs: Use the original (cs-)event-grabber for everything, not just the backup locker.
  * cs-auth-pam.c: Use GMainloop instead of Gtk.
  * Cleanup, fix some build warnings.
  * unlock: Don't listen to the AccountsService is-loaded after startup.
  * backup locker: Clean up quit sequence.
  * Rework screensaver refreshing during suspend, lock, user-switch activities.
  * authentication: improve interaction between the main process and the pam helper.
  * Use xdo to feed escape keycodes into the focused window prior to attempting mouse and keyboard grabs.
  * event-grabber: Better debugging.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 15:09:43 +0200

cinnamon-screensaver (5.4.0) vanessa; urgency=medium

  * CI: Update targets

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 15:12:41 +0200

cinnamon-screensaver (5.2.1) una; urgency=medium

  [ Michael Webster ]
  * Increase the inactivity-timeout from 10s to 30s and get the screensaver to respect it.
  * logind: Request the session object path instead of guessing it.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Feb 2022 18:34:32 +0000

## cinnamon-screensaver 5.6.1

=== debian/changelog ===
cinnamon-screensaver (5.6.1-1) unstable; urgency=medium

  [ Joshua Peisach ]
  * New upstream version 5.6.1

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Fabio Fantoni ]
  * Update symbols

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 25 Nov 2022 18:31:23 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
  debhelper-compat (= 13),
  dh-sequence-gir,
  dh-sequence-python3,
- gnome-pkg-tools (>= 0.10),
+ gnome-pkg-tools,
  gobject-introspection,
- intltool (>= 0.40.0),
+ intltool,
  libdbus-1-dev,
  libgirepository1.0-dev,
- libglib2.0-dev (>= 2.37.3),
- libgtk-3-dev (>= 3.22),
+ libglib2.0-dev,
+ libgtk-3-dev,
  libpam0g-dev,
  librsvg2-bin,
  libxdo-dev,
@@ -43,13 +43,13 @@
  gir1.2-gkbd-3.0,
  gir1.2-glib-2.0,
  gir1.2-gtk-3.0,
- gir1.2-xapp-1.0 (>= 1.2),
+ gir1.2-xapp-1.0,
  iso-flags-png-320x240,
  libcscreensaver0 (= ${binary:Version}),
  python3-gi,
  python3-gi-cairo,
  python3-setproctitle,
- python3-xapp (>= 1.2),
+ python3-xapp,
  python3-xlib,
  ${misc:Depends},
  ${python3:Depends},

## cinnamon-screensaver 5.6.2

=== debian/changelog ===
cinnamon-screensaver (5.6.2-1) unstable; urgency=medium

  * New upstream version 5.6.2

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 26 Dec 2022 15:00:51 +0100

## cinnamon-screensaver 5.6.3

=== debian/changelog ===
cinnamon-screensaver (5.6.3-1) unstable; urgency=medium

  * New upstream version 5.6.3
  * Update standards version to 4.6.2, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 08 Jan 2023 17:21:20 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  meson,
  python3,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver
 Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-screensaver.git

## cinnamon-screensaver 5.6.3+elsie

=== debian/changelog ===
cinnamon-screensaver (5.6.3+elsie) vera; urgency=medium

  [ Michael Webster ]
  * manager.py:  Don't try to access self.grab_helper if it was never initialized.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 15:56:27 +0000

cinnamon-screensaver (5.6.2) vera; urgency=medium

  [ Michael Webster ]
  * Fix makepot for the backup locker, don't translate its command-line arguments.
  * backup-locker: Simplify translations.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 21:30:12 +0000

cinnamon-screensaver (5.6.1) vera; urgency=medium

  [ Michael Webster ]
  * muffinClient.py: Fix behavior when muffin isn't available,

  [ Fabio Fantoni ]
  * fix a typing error

  [ Michael Webster ]
  * muffinClient.py: Remove leftover debugging line.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Nov 2022 10:40:49 +0000

cinnamon-screensaver (5.6.0) vera; urgency=medium

  [ Michael Webster ]
  * Use github instead of circleci.
  * Clean up readme.
  * Improve event grabber debugging info.
  * Rework behavior surrounding sleep, display changes, fractional scaling.
  * Rework stack management, separate backup locker lifecycle from main screensaver's.
  * logging: Skip buffering for most log output, clean up debug logging.

  [ hduelme ]
  * remove trailing semicolons (#419)
  * replace equality None check with identity None check (#420)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 16 Nov 2022 15:37:20 +0000

## cinnamon-screensaver 5.6.3+vera

=== debian/changelog ===
cinnamon-screensaver (5.6.3+vera) vera; urgency=medium

  [ Michael Webster ]
  * manager.py:  Don't try to access self.grab_helper if it was never initialized.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 15:56:27 +0000

=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 debhelper (>= 11.1~),
 dh-python,
 gnome-pkg-tools (>= 0.10),
 gobject-introspection,
 intltool (>= 0.40.0),
 libdbus-1-dev,
 libgirepository1.0-dev,
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.22),
 libpam0g-dev,
 librsvg2-bin,
 libxdo-dev,
 libxext-dev,
 meson (>= 0.40.0),
 python3,
Standards-Version: 3.9.6

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 3.5),
 gir1.2-accountsservice-1.0,
 gir1.2-cinnamondesktop-3.0 (>= 4.8),
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-xapp-1.0,
 iso-flag-png,
 libcscreensaver0 (= ${binary:Version}),
 libxdo3,
 python3,
 python3-gi,
 python3-gi-cairo,
 python3-setproctitle,
 python3-xapp (>= 1.0.1),
 python3-xlib,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: libpam-gnome-keyring
Breaks: 
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Replaces:
 cinnamon-screensaver-pam-helper (<< 3.8),
 cinnamon-screensaver-webkit-plugin (<< 3.9),
 cinnamon-screensaver-x-plugin (<< 3.9)
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.

Package: libcscreensaver-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcscreensaver0 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon Screensaver library - debug symbols
 This package contains the symbols files needed to debug the Cinnamon Screensaver library.

Package: libcscreensaver0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: library and introspection data used by cinnamon-screensaver
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 This package contains the library used by the screensaver.

## cinnamon-screensaver 5.8.0+victoria

=== debian/changelog ===
cinnamon-screensaver (5.8.0+victoria) victoria; urgency=medium

  [ IMarvinTPA ]
  * Prioritize Playing Audio over other players. (#428)

  [ hduelme ]
  * remove redundant parentheses (#427)

  [ Michael Webster ]
  * utils.py: Add gdm3 to the switch user function.

  [ hduelme ]
  * use Gio flags instead of ints (#432)

  [ Michael Webster ]
  * github workflow: Add optional ssh session.
  * stage: Multiply the stage window by the global scale.
  * Fix stacking issue with the backup window.
  * Add missing dependency on x11-util

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 14:07:33 +0100

cinnamon-screensaver (5.6.3) vera; urgency=medium

  [ Michael Webster ]
  * manager.py:  Don't try to access self.grab_helper if it was never initialized.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 15:56:27 +0000
